//
//  ViewController.m
//  AppStoreProva
//
//  Created by Damon on 09/03/13.
//  Copyright (c) 2013 Damon. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    //creo un bottone con le varie impostazioni e posizione all'interno della view
    UIButton *button = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    [button setTitle:@"Visualizza App" forState:UIControlStateNormal];
    [button setFrame:CGRectMake(0.0, 0.0, 200.0, 44.0)];
    [button setCenter:self.view.center];
    [self.view addSubview:button];
//faccio in modo che quando viene premuto richiamo il meto
    [button addTarget:self action:@selector(ApriInAppStore:) forControlEvents:UIControlEventTouchUpInside];
}

- (void)ApriInAppStore:(id)sender {
    // inizializzo il productView controller
    SKStoreProductViewController *storeProductViewController = [[SKStoreProductViewController alloc] init];
    // Configuro il View Controller
    [storeProductViewController setDelegate:self];
    //imposto il prodotto da visualizzare in base all'id
    [storeProductViewController loadProductWithParameters:@{SKStoreProductParameterITunesItemIdentifier : @"440485007"}//modificare la seguente stringa in base al proprio id dell'app
     //verifico se vi sono qualche errori
                                          completionBlock:^(BOOL result, NSError *error) {
        if (error) {
            NSLog(@"Errore %@  User Info %@.", error, [error userInfo]);
        } else {
            // Mostro Store Product View Controller
            [self presentViewController:storeProductViewController animated:YES completion:nil];
        }
    }];
}
- (void)productViewControllerDidFinish:(SKStoreProductViewController *)viewController {
    [self dismissViewControllerAnimated:YES completion:nil];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
